#!/bin/sh

# this script changes the default formats to .doc/.xls/.ppt rather than the
# native OpenOffice.org formats. Yes, that's ugly - but it makes a huge
# difference in the integration of OOo into MS dominate environments.

#FILE="/usr/lib/openoffice/share/config/registry/instance/org/openoffice/Office/TypeDetection.xml"
FILE="/usr/lib/openoffice/share/registry/data/org/openoffice/Office/TypeDetection.xcu"

[ -f $FILE ] || exit

perl -i.ltsp -p -e "
	s/5,calc_MS_Excel_97,com.sun.star.sheet.SpreadsheetDocument,,67,,0,/5,calc_MS_Excel_97,com.sun.star.sheet.SpreadsheetDocument,,323,,0,/;
	s/1,calc_StarOffice_XML_Calc,com.sun.star.sheet.SpreadsheetDocument,,295,,6200,,/2,calc_StarOffice_XML_Calc,com.sun.star.sheet.SpreadsheetDocument,,55,,6200,,/;

	s/3,impress_MS_PowerPoint_97,com.sun.star.presentation.PresentationDocument,,67,emp,0,,/3,impress_MS_PowerPoint_97,com.sun.star.presentation.PresentationDocument,,323,emp,0,,/;

	s/3,writer_MS_Word_97,com.sun.star.text.TextDocument,,67,CWW8,0,,/3,writer_MS_Word_97,com.sun.star.text.TextDocument,,323,CWW8,0,,/;
	s/1,writer_StarOffice_XML_Writer,com.sun.star.text.TextDocument,,268435751,CXML,6200,,/1,writer_StarOffice_XML_Writer,com.sun.star.text.TextDocument,,268435495,CXML,6200,,/; " $FILE


